Loading...
Searching...
No Matches
AVDRMFrameDescriptor Struct Reference

DRM frame descriptor. More...

`#include <libavutil/hwcontext_drm.h>`

## Data Fields

int | nb_objects
| Number of DRM objects making up this frame.
AVDRMObjectDescriptor | objects [AV_DRM_MAX_PLANES]
| Array of objects making up the frame.
int | nb_layers
| Number of layers in the frame.
AVDRMLayerDescriptor | layers [AV_DRM_MAX_PLANES]
| Array of layers in the frame.

## Detailed Description

DRM frame descriptor.

This is used as the data pointer for AV_PIX_FMT_DRM_PRIME frames. It is also used by user-allocated frame pools - allocating in AVHWFramesContext.pool must return AVBufferRefs which contain an object of this type.

The fields of this structure should be set such it can be imported directly by EGL using the EGL_EXT_image_dma_buf_import and EGL_EXT_image_dma_buf_import_modifiers extensions. (Note that the exact layout of a particular format may vary between platforms - we only specify that the same platform should be able to import it.)

The total number of planes must not exceed AV_DRM_MAX_PLANES, and the order of the planes by increasing layer index followed by increasing plane index must be the same as the order which would be used for the data pointers in the equivalent software format.

Definition at line 133 of file hwcontext_drm.h.

## Field Documentation

## nb_objects

int AVDRMFrameDescriptor::nb_objects

Number of DRM objects making up this frame.

Definition at line 137 of file hwcontext_drm.h.

## objects

AVDRMObjectDescriptor AVDRMFrameDescriptor::objects[AV_DRM_MAX_PLANES]

Array of objects making up the frame.

Definition at line 141 of file hwcontext_drm.h.

## nb_layers

int AVDRMFrameDescriptor::nb_layers

Number of layers in the frame.

Definition at line 145 of file hwcontext_drm.h.

## layers

AVDRMLayerDescriptor AVDRMFrameDescriptor::layers[AV_DRM_MAX_PLANES]

Array of layers in the frame.

Definition at line 149 of file hwcontext_drm.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_drm.h